/* map */
@import "map";
@import "manage-package";

@import "swiper";

@import "ember-power-select/themes/bootstrap";
@import "ember-power-select";
@import "datepicker-bs5";

/* other */
$break-small: 1500px;
$break-extra-small: 577px;
$break-large: 2000px;

@import "local-map";
@import "main-bar";

@import "admin/issues";
@import "admin/site";
@import "admin/icon";
@import "admin/side-bar";
@import "admin/user";

@import "input/index";

@import "view/site";
@import "view/site-gallery";
@import "view/site-map";
@import "view/map";
@import "view/icons";
@import "view/browse";
@import "view/picture";
@import "./card";
@import "./manage";

@import "popup-filter";

@import "card-map";
@import "table-sheet";
@import "banner-pictures";

@import "loading";

@import "components";
@import "toaster-list";
@import "./browse";
@import "./page-col";
@import "./sheet";
@import "./effects";

@import "app/components/_index";

html,
body {
  width: 100%;
  height: 100%;
}

body {
  height: 100%;
}

a {
  cursor: pointer;
}

body > .ember-view > .container-fluid,
body > .ember-view > .container-fluid > .row {
  height: 100%;
}

body > canvas {
  display: none;
}

.frozen {
  overflow: hidden;
}

.text-size-0 {
  font-size: 0;
}

.vertical-align-top {
  vertical-align: top;
}

.height-1em {
  vertical-align: top;
}

.overflow-visible:not(.liquid-animating) {
  overflow: visible !important;

  & > .liquid-child {
    overflow: visible !important;
  }
}

.overflow-hide {
  overflow: hidden;
}

.main-container {
  width: 100%;
  min-height: 100%;
}

.fixed-height {
  height: 100%;
}

.editor-toolbar {
  background: #fff;
}

.site-data {
  overflow: auto;
  height: 100%;
}

#siteDescription {
  min-height: 100px;
}

.new-site,
.site-data {
  padding-bottom: 20px;
  height: 100%;
  overflow: auto;
}

#addSitePhoto {
  display: none;
}

.card-body a.link-edit,
a.link-edit {
  font-weight: normal;
  color: $primary;
}

.ember-power-select-trigger input {
  color: rgb(var(--bs-black-rgb));
}

.ember-basic-dropdown-content {
  background-color: rgb(var(--bs-white-rgb));
  color: rgb(var(--bs-black-rgb));
  border: var(--bs-border-width) solid var(--bs-border-color) !important;

  .ember-power-select-option[aria-current="true"] {
    background-color: rgb(var(--bs-gray-300-rgb));
    color: rgb(var(--bs-black-rgb));
  }
}

.btn-check {
  padding: 3px;
  margin: 0;
  width: 60px;
  border-radius: 20px;
  text-align: left;
  font-size: 25px;
  line-height: 0;

  &.btn-secondary {
    padding-left: 30px;
  }

  i {
    vertical-align: middle;
  }
}

.ember-power-select-trigger-multiple-input {
  padding: $input-padding-y $input-padding-x;
  font-size: $input-font-size;
  font-weight: $input-font-weight;
  line-height: $input-line-height;
}

.ember-power-select-trigger {
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: $input-border-radius;
  background-color: var(--bs-body-bg);

  &:hover {
    background-color: rgba(var(--bs-blue-100-rgb), 0.3);
  }

  .ember-power-select-selected-item {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

pre.log {
  padding: 10px;
  background-color: $gray-200;
  min-height: 200px;
}

td p:last-of-type {
  margin-bottom: 0;
}

.img-sm {
  height: 30px;
}

.btn {
  code {
    font-weight: bold;
    font-family: inherit;
    font-size: inherit;
    color: inherit;
  }

  p {
    margin: 0;
  }
}

.tooltip {
  z-index: 999999;
}

.cursor-pointer {
  cursor: pointer;
}

#ember-testing {
  width: 100%;
  height: 100%;
}

.dropdown-item {
  cursor: pointer;
}

.popover {
  z-index: 999;
}

.liquid-container {
  -webkit-transform: initial !important;
  -moz-transform: initial !important;
  transform: initial !important;

  width: inherit;
  height: inherit;
  overflow: inherit;

  & > .liquid-child {
    width: inherit;
    height: inherit;
    overflow: inherit;

    & + .liquid-child {
      display: none;
    }
  }
}

.small-title {
  font-size: 1.4rem;
  font-weight: 700;
}

.breadcrumb-item {
  max-width: 400px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;

  a {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

.drag-handler {
  background-color: $gray-400;
  padding: $spacer * 0.75;
  margin-right: $spacer;
  height: $spacer * 2.7;
  cursor: ns-resize;
}

.popover-custom {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;

  margin-top: var(--bs-popover-arrow-height);

  .popover-arrow {
    position: absolute;
    left: 0px;
    transform: translate3d(59px, 0px, 0px);
  }

  .popover-body,
  .list-group {
    border-radius: $popover-border-radius;
  }
}

.alert p:last-child {
  margin-bottom: 0;
}

a,
.btn-link {
  text-decoration: none;
}

.dropdown-menu-end {
  right: 0;
}

#ember-testing-container * {
  transition: none !important;
}

.alert-plain {
  color: $gray-600;
}

.alert {
  div,
  p {
    display: inline;
  }

  button {
    padding: 0;
    line-height: inherit;
    display: inline;
    vertical-align: unset;
    text-decoration: underline;
  }
}

.border-visibility-yes {
  border-style: solid;
  border-width: 1px;
}

.container-align-center {
  justify-content: space-evenly;
}

.container-align-bottom {
  justify-content: end;
}

.container-align-top {
  justify-content: start;
}

@mixin TextLineClamp($i) {
  text-overflow: ellipsis;
  display: -webkit-box !important;
  -webkit-line-clamp: $i;
  -webkit-box-orient: vertical;
  line-clamp: $i;
  overflow: hidden;
}

@for $i from 1 through 7 {
  .text-line-clamp-#{$i},
  .enforce-sm-size .text-line-clamp-#{$i} {
    @include TextLineClamp($i);
  }

  .enforce-lg-size {
    .text-line-clamp-lg-#{$i},
    .text-line-clamp-md-#{$i},
    .text-line-clamp-#{$i} {
      @include TextLineClamp($i);
    }
  }

  .enforce-md-size {
    .text-line-clamp-md-#{$i},
    .text-line-clamp-#{$i} {
      @include TextLineClamp($i);
    }
  }

  @include media-breakpoint-up(md) {
    .text-line-clamp-md-#{$i} {
      @include TextLineClamp($i);
    }
  }

  @include media-breakpoint-up(lg) {
    .text-line-clamp-lg-#{$i} {
      @include TextLineClamp($i);
    }
  }
}

.border-radius-circle {
  border-radius: 50%;
}

@each $name, $value in $utilities-font-sizes {
  .text-size-#{$name},
  .enforce-sm-size .text-size-#{$name} {
    font-size: #{$value}rem !important;
  }

  .enforce-lg-size {
    .text-size-lg-#{$name},
    .text-size-md-#{$name},
    .text-size-#{$name} {
      font-size: #{$value}rem !important;
    }
  }

  .enforce-md-size {
    .text-size-md-#{$name},
    .text-size-#{$name} {
      font-size: #{$value}rem !important;
    }
  }
}

.border-radius-circle {
  border-radius: 50%;
}

@each $name, $value in $theme-colors-rgb {
  .border-#{$name},
  .border-color-#{$name} {
    border-color: rgb(var(--bs-#{$name}-rgb)) !important;
  }

  .bg-#{$name} {
    background-color: rgb(var(--bs-#{$name}-rgb)) !important;
  }

  .text-#{$name} {
    color: rgb(var(--bs-#{$name}-rgb)) !important;
  }
}

@include color-mode(dark) {
  @each $name, $value in $theme-colors-dark {
    .border-#{$name},
    .border-color-#{$name} {
      border-color: var(--bs-#{$name}) !important;
    }

    .bg-#{$name} {
      background-color: var(--bs-#{$name}) !important;
    }

    .text-#{$name} {
      color: var(--bs-#{$name}) !important;
    }
  }

  .shadow {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.25) !important;
  }

  .shadow-sm {
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
  }

  .shadow-lg {
    box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;
  }

  --bs-form-control-bg: #000000;
  --bs-heading-color: #ffffff;
  --bs-body-color: #ffffff;
}

.bg-size-contain {
  background-size: contain !important;
}

.bg-size-cover {
  background-size: cover !important;
}

.bg-size-fixed {
  background-size: auto;
}

.bg-repeat-repeat {
  background-repeat: repeat !important;
}

.bg-repeat-no-repeat {
  background-repeat: no-repeat !important;
}

.bg-repeat-repeat-x {
  background-repeat: repeat-x !important;
}

.bg-repeat-repeat-y {
  background-repeat: repeat-y !important;
}

.bg-repeat-round {
  background-repeat: round !important;
}

.bg-repeat-space {
  background-repeat: space !important;
}

.page-frame-body,
.content-page {
  .col.size-fill {
    align-self: stretch !important;
  }
}

.page-col.size-fill {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}

.display-content-inline-block {
  display: flex;
  flex-direction: row !important;

  & > .page-col-content {
    display: inline-block;
  }
}

.size-btn-lg {
  @include button-size($btn-padding-y-lg, $btn-padding-x-lg, $btn-font-size-lg, $btn-border-radius-lg);
}

.size-btn-sm {
  @include button-size($btn-padding-y-sm, $btn-padding-x-sm, $btn-font-size-sm, $btn-border-radius-sm);
}

.form-floating {
  .ember-power-select-container {
    padding-top: $form-floating-input-padding-t;
    padding-bottom: $form-floating-input-padding-b;

    height: $form-floating-height;
    line-height: $form-floating-line-height;
  }

  .ember-power-select-trigger {
    border: 0;
    @include border-radius($form-select-border-radius, 0);

    &:focus,
    &.ember-power-select-trigger--active {
      border-color: $form-select-focus-border-color;
      outline: 0;

      @if $enable-shadows {
        @include box-shadow($form-select-box-shadow, $form-select-focus-box-shadow);
      } @else {
        // Avoid using mixin so we can pass custom focus shadow properly
        box-shadow: $form-select-focus-box-shadow;
      }
    }
  }

  .ember-power-select-container ~ label {
    opacity: $form-floating-label-opacity;
    transform: $form-floating-label-transform;
  }
}

.min-h-100 {
  min-height: 100%;
}

@for $i from 0 through 5 {
  .component-m-#{$i} {
    .page-col-content + .page-col-content {
      margin-top: map-get($spacers, $i);
    }
  }
}

.disable-click {
  pointer-events: none;
}